Subject: Re: [PATCH] ax88796: depend on HAS_IOMEM not on individual ARCHs

From: Marc Kleine-Budde <[email-masked]>
Date: Tue, 22 Feb 2011 22:42:30 +0100

On 02/22/2011 09:37 PM, David Miller wrote:
> I know it's going to cause allmodconfig build errors on sparc64,
> for example.

How to fix?
> drivers/net/ax88796.c:195: error: implicit declaration of function 'readsw'
> drivers/net/ax88796.c:198: error: implicit declaration of function 'readsb'

Use "ioreadX_rep" or add a "!SPARC64" to Kconfig?

Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |